task samtools {
    File bam_file
    String bam_id = basename(bam_file)

    String docker
    String cluster
    String disk_size


    command <<<
       set -o pipefail
       set -e

       samtools index ${bam_file}

    >>>

    runtime {
       docker: docker
       cluster: cluster
       systemDisk: "cloud_ssd 40"
       dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
      File bam_index = "$(bam_id).bai"
    }

}